### Name: jit
### Title: Just-in-time compilation
### Aliases: jit
### Keywords: programming

### ** Examples

foo <- function(N) {
    jit(jit.flag)
    x <- 0
    for (i in 1:N)
       x <- x + 1
    x
}
N = 3e5
jit.flag <- 0; time.nojit <- system.time(foo(N))[1]
jit.flag <- 1; time.jit   <- system.time(foo(N))[1]
cat("Time ratio", time.jit / time.nojit, "\n")
jit(0)



