### Name: nojit
### Title: Inhibit just-in-time compilation of a variable
### Aliases: nojit
### Keywords: programming

### ** Examples

## Not run: 
##D jit(1); x <- 0; y <- 0
##D nojit(x)         # allows use of "c" below which changes the length of x
##D for (i in 1:3) {
##D     x <- c(x,i)  # will not be jitted
##D     y <- y + 1   # will be jitted
##D }
##D nojit(0)
## End(Not run)



